From 7f1455b3fcecd0bd803de44f599db89ff295dd58 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Aug 10 2016 19:35:20 +0000
Subject: [PATCH 8/16] Major improvements for Feed UI


* Revert the breaks in the card interface for feed widget from switching
to fedora-bootstrapp.

* Spacing and font size fixes

---

diff --git a/hubs/static/client/app/components/Icon.jsx b/hubs/static/client/app/components/Icon.jsx
index 08c8d60..9adf0e4 100644
--- a/hubs/static/client/app/components/Icon.jsx
+++ b/hubs/static/client/app/components/Icon.jsx
@@ -2,16 +2,14 @@ import React from 'react';
 
 const Icon = function (props) {
   return (
-    <div>
-      <div className="media-left">
-        <a href={props.match.link ? props.match.link : '#'} target="_blank">
-          <img
-            alt="User avatar"
-            className="media-object square-32 img-circle"
-            src={props.match.secondary_icon}
-          />
-        </a>
-      </div>
+    <div className="media-left">
+      <a href={props.match.link ? props.match.link : '#'} target="_blank">
+        <img
+          alt="User avatar"
+          className="media-object square-32"
+          src={props.match.secondary_icon}
+        />
+      </a>
     </div>
   );
 };
diff --git a/hubs/static/client/app/components/Markup.jsx b/hubs/static/client/app/components/Markup.jsx
index f2464fe..7342f58 100644
--- a/hubs/static/client/app/components/Markup.jsx
+++ b/hubs/static/client/app/components/Markup.jsx
@@ -1,12 +1,25 @@
 import React from 'react';
+import SaveNotificationButton from './SaveNotificationButton.jsx';
+
 import TimeAgo from 'react-timeago';
 
+
 export default class Markup extends React.Component {
   createMarkup() {
     return { __html: this.props.match.markup };
   }
   render() {
     const timestamp = this.props.date_time ? (<TimeAgo date={this.props.match.date_time} />) : null;
+
+
+    let saveBtn;
+    if (!this.props.match.saved && this.props.saveUrl) {
+      saveBtn = (
+        <SaveNotificationButton
+          match={this.props.match}
+          saveUrl={this.props.saveUrl}
+        />);
+    }
     return (
       <div className="media-body">
         <h4
@@ -15,6 +28,7 @@ export default class Markup extends React.Component {
         >
         </h4>
         {timestamp}
+        {saveBtn}
       </div>
     );
   }
diff --git a/hubs/static/client/app/components/Panel.jsx b/hubs/static/client/app/components/Panel.jsx
index 7760893..0cd9bdf 100644
--- a/hubs/static/client/app/components/Panel.jsx
+++ b/hubs/static/client/app/components/Panel.jsx
@@ -2,24 +2,13 @@ import React from 'react';
 
 import Icon from './Icon.jsx';
 import Markup from './Markup.jsx';
-import SaveNotificationButton from './SaveNotificationButton.jsx';
 
 const Panel = function (props) {
-  let saveBtn;
-  if (!props.match.saved && props.saveUrl) {
-    saveBtn = (
-      <SaveNotificationButton
-        match={props.match}
-        saveUrl={props.saveUrl}
-      />);
-  }
-
   return (
-    <div className="panel panel-default panel-visible">
-      <div className="panel-body">
+    <div className="card">
+      <div className="card-block">
         <Icon match={props.match} />
-        <Markup match={props.match} />
-        {saveBtn}
+        <Markup match={props.match} saveUrl={props.saveUrl} />
       </div>
     </div>
   );
